---
title: "Retrieve a template"
slug: "retrieve-a-template"
abstract: "Describes how to retrieve a web template or decision template using the Sitecore Personalize Template REST API."
---
# Retrieve a template

`GET /v3/templates/<templateRef>`

Retrieves a template.

| Attribute | Type | Description | Example |
| --- | --- | --- | --- |
| `templateRef` | string | The reference of the template.<br><br>If you do not know the template reference, first [retrieve templates](https://doc.sitecore.com/personalize/en/developers/api/rest-apis/template-rest-api/retrieve-templates.html). | `340ced1b-c9b7-43f0-9eec-2b9f0b7693fa` |

```curl
curl -X GET '<baseURL>/v3/templates/340ced1b-c9b7-43f0-9eec-2b9f0b7693fa' \
-H 'Authorization: Bearer <accessToken>' \
-H 'Accept: application/json'

```

```json
{
  "clientKey": "pqsPERS3lw12v5a9rrHPW1c4hET73GxQ",
  "href": "<baseURL>/v3/templates/340ced1b-c9b7-43f0-9eec-2b9f0b7693fa",
  "ref": "340ced1b-c9b7-43f0-9eec-2b9f0b7693fa",
  "name": "Alert bar template",
  "description": "Alert bar template WEB",
  "modifiedByRef": "zwxCA58jwLzfeU2mNGgalCpoJzNVYOJl@clients",
  "modifiedAt": "2026-07-12T10:`56:46`.53994Z",
  "revision": 1,
  "archived": false,
  "friendlyId": "alert_bar_template_1",
  "type": "WEB",
  "status": "DRAFT",
  "templateElements": [
    {
      "id": "html",
      "template": "<div id=\"test\">My test div</div>"
    },
    {
      "id": "css",
      "template": "#test {text-transform: uppercase}"
    },
    {
      "id": "js",
      "template": "insertHTMLBefore(\"body\");\n\nconst testDiv = document.querySelector(\"#test\");\ntestDiv.insertAdjacentHTML(\"afterbegin\", \"<p>Hello from JavaScript</p>\")"
    },
    {
      "id": "freemarker",
      "template": "{}"
    }
  ],
  "render": false,
  "defaultTemplate": false,
  "tags": [],
  "customTemplate": true
}

```